Bug 728555 - Review Request: screenie-composer - Fancy screenshot composer
Summary: Review Request: screenie-composer - Fancy screenshot composer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 14:38 UTC by Martin Gieseking
Modified: 2011-08-28 05:23 UTC (History)
3 users (show)

Fixed In Version: screenie-composer-1.0.0-0.2.20110805git49c2630.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 18:53:42 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Gieseking 2011-08-05 14:38:46 UTC
Spec URL: http://mgieseki.fedorapeople.org/review/screenie-composer.spec
SRPM URL: http://mgieseki.fedorapeople.org/review/screenie-composer-1.0.0-0.1.20110805git49c2630.fc15.src.rpm

Description:
Screenie is an easy to use screenshot composer tool that lets you create fancy
and stylish screenshots from a given set of images. 

Note:
Since the original upstream name "screenie" collides with the screenie screen wrapper utility, I renamed the binary and this package to "screenie-composer".

Comment 1 Mario Blättermann 2011-08-14 09:44:45 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3271817

$ rpmlint -i -v *
screenie-composer.i686: I: checking
screenie-composer.i686: W: spelling-error Summary(en_US) screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.i686: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.i686: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.i686: I: checking-url http://code.google.com/p/screenie (timeout 10 seconds)
screenie-composer.i686: W: no-manual-page-for-binary screenie-composer
Each executable in standard binary directories should have a man page.

screenie-composer.src: I: checking
screenie-composer.src: W: spelling-error Summary(en_US) screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.src: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.src: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.src: I: checking-url http://code.google.com/p/screenie (timeout 10 seconds)
screenie-composer.src: W: invalid-url Source0: ariya-screenie-49c2630.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

screenie-composer.x86_64: I: checking
screenie-composer.x86_64: W: spelling-error Summary(en_US) screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.x86_64: W: spelling-error %description -l en_US screenshot -> screen shot, screen-shot, screens hot
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.x86_64: W: spelling-error %description -l en_US screenshots -> screen shots, screen-shots, screens hots
The value of this tag appears to be misspelled. Please double-check.

screenie-composer.x86_64: I: checking-url http://code.google.com/p/screenie (timeout 10 seconds)
screenie-composer.x86_64: W: no-manual-page-for-binary screenie-composer
Each executable in standard binary directories should have a man page.

screenie-composer-debuginfo.i686: I: checking
screenie-composer-debuginfo.i686: I: checking-url http://code.google.com/p/screenie (timeout 10 seconds)
screenie-composer-debuginfo.x86_64: I: checking
screenie-composer-debuginfo.x86_64: I: checking-url http://code.google.com/p/screenie (timeout 10 seconds)
5 packages and 0 specfiles checked; 0 errors, 12 warnings.


»Screenshot« is the usual spelling, no real problem.

The unavailability of Google URLs is well known, the URL is valid, just tested with wget.

A manual page is available from the Ubuntu folks, perhaps you can reuse it (after some customization):
http://manpages.ubuntu.com/manpages.gz/natty/man1/screenie-qt.1.gz
It seems to be not really useful, but probably screenie-composer doesn't understand any parameters.

Comment 2 Martin Gieseking 2011-08-14 19:13:59 UTC
Thanks for the pointer to the manpage. Since it doesn't really provide any useful information to the user, I'd rather omit it. The screenie binary doesn't evaluate any command-line parameters either, so there's no "hidden" functionality that should be documented in a manpage.

Comment 3 Mario Blättermann 2011-08-16 19:31:35 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    The hashes differ, but I had this problem some more times when I tried
    to rebuild source packages from Git content. I assume you are
    using the right sources.

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[+] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works on F15.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.
    No hidden info for the user, which would require a manpage, because screenie
    doesn't understand any command line parameters.

----------------

PACKAGE APPROVED

----------------

Comment 4 Mario Blättermann 2011-08-16 19:35:57 UTC
(In reply to comment #3)
> [+] MUST: The sources used to build the package must match the upstream source.
>     The hashes differ, but I had this problem some more times when I tried
>     to rebuild source packages from Git content. I assume you are
>     using the right sources.
> 
Sorry, I was calling md5sum in the wrong folder. Checksums don't differ:

$ md5sum *
090053ebfeb443a7c930a548a64f70be  49c2630c393b003a473263001a18e27144744178
090053ebfeb443a7c930a548a64f70be  ariya-screenie-49c2630.tar.gz

Package approved anyway.

Comment 5 Martin Gieseking 2011-08-16 19:48:36 UTC
Thank you for the review, Mario!


New Package SCM Request
=======================
Package Name: screenie-composer
Short Description: Fancy screenshot composer
Owners: mgieseki
Branches: f15 f16
InitialCC:

Comment 6 Gwyn Ciesla 2011-08-17 00:49:08 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-08-17 06:41:46 UTC
screenie-composer-1.0.0-0.2.20110805git49c2630.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/screenie-composer-1.0.0-0.2.20110805git49c2630.fc16

Comment 8 Fedora Update System 2011-08-17 06:41:54 UTC
screenie-composer-1.0.0-0.2.20110805git49c2630.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/screenie-composer-1.0.0-0.2.20110805git49c2630.fc15

Comment 9 Fedora Update System 2011-08-17 20:24:21 UTC
screenie-composer-1.0.0-0.2.20110805git49c2630.fc16 has been pushed to the Fedora 16 testing repository.

Comment 10 Fedora Update System 2011-08-26 18:53:37 UTC
screenie-composer-1.0.0-0.2.20110805git49c2630.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-08-28 05:23:22 UTC
screenie-composer-1.0.0-0.2.20110805git49c2630.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.